<template>
  <div class="bg-white p-6 border border-grey-default rounded-md shadow-sm">
    <!-- <div class="flex items-center justify-between mb-3 pb-3 border-b border-grey-default"> -->
    <div class="flex items-center justify-between">
      <div class="space-y-1">
        <t-span weight="bold" size="text-md" class="text-black-default">
          Current Population
        </t-span>
        <!-- <div class="flex items-center space-x-2">
          <t-span weight="bold" size="text-md" class="text-green-default">
            1.8%
          </t-span>
          <t-span weight="medium" size="text-sm" class="text-black-light">
            font last peak
          </t-span>
        </div> -->
      </div>
      <div>
        <t-span weight="bold" size="text-4xl" class="text-black-default">
          {{ store.getTotalPopulation }}
        </t-span>
      </div>
    </div>
    <!-- <div class="flex items-center justify-between">
      <t-span class="text-black-default" size="text-md">
        Daily maximum peak
      </t-span>
      <t-span class="text-black-default">13</t-span>
    </div>
    <div class="flex items-center justify-between">
      <t-span class="text-black-default" size="text-md">
        Daily minimum peak
      </t-span>
      <t-span class="text-black-default">0</t-span>
    </div> -->
  </div>
</template>
<script>
import TSpan from '~/components/shared/typography/Span'
import { useBuilding } from '~/store/building'

export default {
  components: { TSpan },
  setup() {
    const store = useBuilding()
    return { store }
  },
}
</script>
